# netapp_e_auth – NetApp E-Series set or update the password for a storage array

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Sets or updates the password for a storage array. When the password is updated on the storage array, it must be updated on the SANtricity Web Services proxy. Note, all storage arrays do not have a Monitor or RO role.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password - |  | The password used to authenticate against the API This can optionally be set via an environment variable, API_PASSWORD
api_url - |  | The full API url. Example: http://ENDPOINT:8080/devmgr/v2 This can optionally be set via an environment variable, API_URL
api_username - |  | The username used to authenticate against the API This can optionally be set via an environment variable, API_USERNAME
current_password - |  | The current admin password. This is not required if the password hasn't been set before.
name - |  | The name of the storage array. Note that if more than one storage array with this name is detected, the task will fail and you'll have to use the ID instead.
new_password - / required |  | The password you would like to set. Cannot be more than 30 characters.

set_admin
boolean

Choices:
- no ←
- yes

Boolean value on whether to update the admin password. If set to false then the RO account is updated.

ssid - |  | the identifier of the storage array in the Web Services Proxy.

validate_certs
boolean

Choices:
- no
- yes ←

Should https certificates be validated?

## Examples

    - name: Test module
      netapp_e_auth:
        name: trex
        current_password: OldPasswd
        new_password: NewPasswd
        set_admin: yes
        api_url: '{{ netapp_api_url }}'
        api_username: '{{ netapp_api_username }}'
        api_password: '{{ netapp_api_password }}'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message Sample: Password Updated Successfully

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Hulquest (@hulquest)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.